- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/delete#try-it)

Deletes a course work.

This request must be made by the Developer Console project of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the corresponding course work item.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting developer project did not create the corresponding course work, if the requesting user is not permitted to delete the requested course or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `FAILED_PRECONDITION` if the requested course work has already been deleted.
- `NOT_FOUND` if no course exists with the requested ID.

### HTTP request

`DELETE https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Identifier of the course. This identifier can be either the Classroom-assigned identifier or an `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`. |
| `id` | `string` Identifier of the course work to delete. This identifier is a Classroom-assigned identifier. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.coursework.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).